/*
 * Copyright [2013-2021], Alibaba Group Holding Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.alibaba.polardbx.optimizer.core.rel;

import com.alibaba.polardbx.optimizer.core.DrdsConvention;
import org.apache.calcite.plan.RelOptCluster;
import org.apache.calcite.plan.RelTraitSet;
import org.apache.calcite.rel.AbstractRelNode;
import org.apache.calcite.rel.type.RelDataType;

/**
 * No-Op Operator
 *
 * @author Eric Fu
 */
public class EmptyOperation extends AbstractRelNode {

    public EmptyOperation(RelOptCluster cluster, RelTraitSet traitSet, RelDataType rowType) {
        super(cluster, traitSet);
        this.rowType = rowType;
    }

    public static EmptyOperation create(RelOptCluster cluster, RelDataType rowType) {
        return new EmptyOperation(cluster, cluster.traitSetOf(DrdsConvention.INSTANCE), rowType);
    }
}
